=== debian/changelog ===
horst (3.0-2) unstable; urgency=low

  * add missing copyright files, thanks Bruno Randolf for the huge help
  * simplify watch file to use HTTP listing
  * refer to the README file in manpage
  * update manpage from upstream, with small spelling fixes
  * remove our README.Debian file now that the manpage is complete

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 15 Aug 2012 20:08:58 -0400

horst (3.0-1) unstable; urgency=low

  * Initial release (Closes: #684440)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 09 Aug 2012 22:27:34 -0400
