=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://br1.einfach.org/horst_dl/horst-([\d\.]*)\.tar\.gz
