## horst 4.0

=== debian/changelog ===
horst (4.0-1) unstable; urgency=low

  * new upstream release
  * use upstream manpage
  * add sparse build-depend
  * skip upstream sparse test because of #755979
  * upstream seems to have fixed arm64 issues, but i'll let the buildds
    confirm (Closes: #758624)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 26 Aug 2014 15:06:42 -0700
