=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libncurses5-dev
+Build-Depends: debhelper (>= 8.0.0)
+             , dpkg-dev (>= 1.16.1~)
+             , libncurses5-dev
+             , sparse
 Standards-Version: 3.9.3
 Homepage: http://br1.einfach.org/tech/horst/
-Vcs-Git: git://git.debian.org/collab-maint/horst.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/horst.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/horst.git;a=summary
 
 Package: horst
 Architecture: any
