=== debian/changelog ===
horst (4.2-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:53:08 +0000

horst (4.2-1) unstable; urgency=medium

  * move to contrib because of non-free dependency (Closes: #763566)
  * new upstream release (Closes: #749664)
  * revert to older watchfile as (notified) upstream broke directory listing
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 09 Sep 2015 20:47:22 -0400
