=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: horst
-Section: net
+Section: contrib/net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
              , dpkg-dev (>= 1.16.1~)
              , libncurses5-dev
              , sparse
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://br1.einfach.org/tech/horst/
 Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/horst.git;a=summary
