=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+# skip upstream's "make check" that fails because of multi-arch
+# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755979
+override_dh_auto_test:
+    
+
 %:
 	dh $@
