=== debian/changelog ===
horst (5.0-2) unstable; urgency=medium

  * fix gbp branch naming scheme
  * disable checks as sparse fails on some architectures, filed as #873508

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 28 Aug 2017 10:21:01 -0400

horst (5.0-1) unstable; urgency=medium

  * merge with upstream git so drop overlay mechanism
  * upstream homepage moved
  * add new upstream dependencies
  * refresh description from upstream README
  * follow anonscm redirect
  * follow upstream docs removal and rename
  * run upstream tests again as that multi-arch bug was fixed
  * sparse now in main, follow suit
  * bump dh compat to 10, no change
  * bump standards to 4.1.0, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Aug 2017 14:17:45 -0400
