=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# skip upstream's "make check" that fails because of multi-arch
-# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755979
-override_dh_auto_test:
-    
+# sparse fails on some architectures: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873508
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el s390x ppc64 sparc64))
+DEB_BUILD_OPTS+=nocheck
+endif
 
 %:
 	dh $@
