=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/br101/horst/releases .*/archive/version-?((?:\d+\.?)*)\.tar\.gz
