## horst 5.1

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 OSX=0
 
 NAME=horst
+VERSION=5.1
+#VERSION=$(shell git describe --tags)
+
 OBJS=						   \
 	average.o				   \
 	capture$(if $(filter 1,$(PCAP)),-pcap).o   \
@@ -52,13 +55,14 @@
 	util.o					   \
 	wlan_util.o
 LIBS=-lncurses -lm
-CFLAGS+=-std=gnu99 -Wall -Wextra -g -I.
+CFLAGS+=-std=gnu99 -Wall -Wextra -g -I. -DVERSION=\"$(VERSION)\"
 
 ifeq ($(OSX),1)
     PCAP=1
     WEXT=0
     LIBNL=0
     LIBS+=-framework CoreWLAN -framework CoreData -framework Foundation
+    OBJS+=mach_clock_gettime.o
 endif
 
 ifeq ($(DEBUG),1)
@@ -87,6 +91,8 @@
     endif
   endif
 endif
+
+DESTDIR?=/usr/local
 
 .PHONY: all check clean force
 
@@ -118,5 +124,15 @@
 	-rm -f .buildflags
 	-rm -f .objdeps.mk
 
+install:
+	mkdir -p $(DESTDIR)/sbin/
+	mkdir -p $(DESTDIR)/etc
+	mkdir -p $(DESTDIR)/man/man8/
+	mkdir -p $(DESTDIR)/man/man5
+	cp horst $(DESTDIR)/sbin/
+	cp horst.conf $(DESTDIR)/etc/
+	gzip horst.8 -c > $(DESTDIR)/man/man8/horst.8.gz
+	gzip horst.conf.5 -c > $(DESTDIR)/man/man5/horst.conf.5.gz
+
 .buildflags: force
 	echo '$(CFLAGS)' | cmp -s - $@ || echo '$(CFLAGS)' > $@
