=== debian/changelog ===
horst (5.1-3ubuntu1) noble; urgency=medium

  * Fix segfault by exiting if interface does not exist. (LP: #2045986)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 31 Dec 2023 21:07:23 +0000

horst (5.1-3) unstable; urgency=medium

  [ Antoine Beaupré ]
  * acknowledge NMU
  * update watch file to latest uscan(1) examples

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update standards version to 4.1.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set debhelper-compat version in Build-Depends.
  * Bump debhelper from old 10 to 12.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 04 Feb 2023 14:21:20 -0500

horst (5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Sven Joachim to fix FTBFS with new ncurses.
    (Closes: #995202)

 -- Adrian Bunk <bunk@debian.org>  Sun, 28 Nov 2021 20:51:58 +0200

horst (5.1-2) unstable; urgency=medium

  * Bug fix: "horst FTCBFS: upstream Makefile hard codes build
    architecture tools", thanks to Helmut Grohne (Closes: #920780).

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 10:29:06 -0500

horst (5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * new upstream release (Closes: #917333, #889472)
  * follow upstream tag naming changes in gbp.conf and watch file
  * disable sparse checks as they now fail everywhere (Closes: #911102)
  * tweak upstream Makefile to follow standards (reported upstream)
  * fix control file syntax error

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 09 Jan 2019 20:34:06 -0500
