=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: horst
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10.0.0~)
-             , dpkg-dev (>= 1.16.1~)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper-compat (= 12)
              , pkg-config
-             , libncurses5-dev
+             , libncurses-dev
              , libpcap0.8-dev
              , libnl-3-dev
              , libnl-genl-3-dev
-             , sparse
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/br101/horst
-Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horst.git/
+Vcs-Git: https://salsa.debian.org/debian/horst.git
+Vcs-Browser: https://salsa.debian.org/debian/horst
 
 Package: horst
 Architecture: any
@@ -45,6 +44,6 @@
     or BSSIDs
   * Client/server support for monitoring on remote nodes
   * Automatically adds and removes monitor interface
-  .
-  horst is a Linux program and can be used on any wireless LAN interface
-  which supports monitor mode.
+ .
+ horst is a Linux program and can be used on any wireless LAN interface
+ which supports monitor mode.
