=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
      https://github.com/br101/horst/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
